package com.gic.haoban.manage.api;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员和导购加的好友列表
 */
public class ExternalUserClerkDTO implements Serializable {

    private String memberId ;
    private String clerkId ;
    private String storeId ;
    // 企微加好友时间
    private Date addTime ;
    // 好友删成员时间
    private Date halfDelTime ;

    // 外部联系人ID状态1正常,  3单向好友
    private Integer externalStatus ;

    public void setExternalStatus(Integer externalStatus) {
        this.externalStatus = externalStatus;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getHalfDelTime() {
        return halfDelTime;
    }

    public void setHalfDelTime(Date halfDelTime) {
        this.halfDelTime = halfDelTime;
    }

    public Integer getExternalStatus() {
        if(null == externalStatus) {
            return 1;
        }
        if(externalStatus != 3) {
            return  1;
        }
        return externalStatus;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }
}
